def ParticleSettlingVelocity(density, diameter):
    
    import numpy as np
    
    # Density currently a constant, set = 1 in FaTIMa.R.
    # Diameter measured in microns.
    
    diameter = np.multiply(diameter, 10**-4)
    
    velocity = np.divide(np.multiply(density*981, np.power(diameter,2)), 18*0.000181)
    velocity = velocity/100
    
    return velocity