# Translation of the viral decay function in Fatima.R

def ViralDecayRate(relHumidity, temp, sunlight):
    
    import math
    
    # relHumidity = relative humidity, measured in %
    # temp = temperature, measured in C
    # sunlight = simulated sunlight, measured in W/m2
    
    # k_infectivity = 7.569 + 1.411*(temp-20.54)/10.66 + 0.022*(relHumidity-45.235)/28.665 + 7.553*(sunlight-50)/50 + 1.397*(temp-20.54)*(sunlight-50)/(10.66*50)

    k_infectivity = 0.16030 + 0.04018*(temp-20.615)/10.585 + 0.02176*(relHumidity-45.235)/28.665 +  0.14369*(sunlight-0.95)/0.95 + 0.02636*((temp-20.615)/10.585)*((sunlight-0.95)/0.95)
    
    halfLife = math.log(2)/k_infectivity
    
    return k_infectivity, halfLife
