def FatimaAnalyticalSolution(t, Cz0, params):
    
    import numpy as np
    
    out = np.zeros([len(t)])
    
    alpha = (params['Qr'] + params['vd_floor']*params['Afloor'])/params['V'] + params['k_inf']
    
    for i in range(0, len(t)):
        if t[i] < params['Gt1']:
            out[i] = Cz0*np.exp(-np.multiply(alpha, t[i]))
        elif t[i] <= params['Gt2']:
            out[i] = Cz0*np.exp(-np.multiply(alpha, t[i])) + params['G']*np.divide((1-np.exp(-alpha*(t[i]-params['Gt1']))), (alpha*params['V']))
        else:
            out[i] = Cz0*np.exp(-np.multiply(alpha, t[i])) + params['G']*np.divide((np.exp(-alpha*(t[i]-params['Gt2'])) - np.exp(-alpha*(t[i]-params['Gt1']))), (alpha*params['V']))
    
    out = np.transpose(out)
    
    return out