def InhalabilityCalc(diam, windSpeed, upow_75, respMinV, nasalFraction, oralFraction):
    
    import numpy as np
    
    denom1 = 1 + np.exp(8.826-np.multiply(2.736, np.log(diam)))
    p1 = np.multiply((1-upow_75)*nasalFraction, np.subtract(1, np.divide(1, denom1)))
    
    denom2 = 1 + 0.44*np.exp(np.multiply(0.0195, diam))
    p2 = np.divide(oralFraction*1.44, denom2)
    
    denom3 = 0.00076*np.power(diam, 2.8) + 1
    p3 = upow_75*(1-0.05*(1-np.divide(1, denom3)))
    
    p4 = 0.0001*upow_75*np.exp(np.multiply(0.055, diam))
    
    out = p1 + p2 + p3 + p4
    
    return out